Subject: Re: [MOBILE-IP] Pro-active Handoff and FA Location

From: James Kempf <[email-masked]>
Date: Fri, 1 Dec 2000 09:53:16 -0800

I'm not going to try to reply to the individual messages on this thread,
but I wanted to give some more details in how IAPP might be used
to allow remotely located FAs to perform pro-active handoff. To the
extent that Hesham's fast handoff proposal requires modification or
help from the link layer, these mechanisms could also be used
with the fast handoff proposal as well.

The IAPP protocol spec dated 1998 is pretty much set up for access points
to exchange information between themselves. An access point multicasts
an ANNOUNCE request to determine what other access points are up. The access
points reply. The request is not restricted to a single subnet a priori, since
IP multicast is used.

When an IEEE 802.11 L2 reassociation occurs (at the mobile's request, as is
always the case in 802.11, the network has little say in the matter), the
access point sends a HANDOFF request message to the old access point
*after* the link layer reassociation has occured.
The link layer reassociation occurs immediately, that is, the
access point does not wait on the old point's reply to perform
the handover. The HANDOFF request message to the old point is primarily
to allow the old point to release resources dedicated to the mobile.

As was pointed out, in order for a remote FA to get involved, it would
have to be forwarded the HANDOFF request message from the old point,
or, alternatively, it would have to act as a broker between the
old and new points. As a broker, the FA would respond to the
ANNOUNCE request rather than the access point directly, and the
new access point would send the HANDOFF message to the FA instead
of the old access point. The FA would forward the message to the
old access point, and would take appropriate action to perform
pro-active handoff at the IP layer for the mobile.

Naturally, having the FA co-located with the access point is likely to
be much faster, since the IP layer signalling associated with IAPP
would not be involved. The FA can take advantage of the link layer
reassociation request from 802.11 to perform handoff much more quickly.

I don't know what the current status of IAPP is in the IEEE, but I
would not be suprised if it either has been dropped or has undergone
significant modification in the two years since the spec I've
got was published. So I think the upshot of this thread is that
whether or not the FA is remote is really an implementation issue for 802.11.
Pro-active handoff can be supported at a remote FA with the minimal
modification to IAPP, and IAPP is not L2, so there is no need for
modification in L2 to support pro-active handoff. To the extent
that fast handoff requires L2 support, it too could benefit
from having IAPP, since it would also allow remote FAs.

                jak

---

From: cnyap <[email-masked]>
Date: Sat, 2 Dec 2000 00:04:57 -0000

Hi all,

Sorry to mention this again
No matter how "pro-active" any method can be,
In CDMA you would not be able transmit IP packet
before the PPP session is set up.

Correct if I am wrong.

Cheers
Chern Nam Yap
MIEEE, MSc(Res), BSc(Hons)
Research Associate
Center for Mobile Communication Research
Department of Electronic and Electrical Engineering
University of Sheffield
F132 Mappin Building
Mappin Street
Sheffield S1 3JD
United Kingdom
Tel:+44 (0) 114-222-5182
Mobile:+ 44(0) 7712804892
Web: www.mobile1.net
E-mail: [email-masked]

---

From: Pat Calhoun <[email-masked]>
Date: Fri, 1 Dec 2000 16:43:03 -0800

> before the PPP session is set up.

Correct, but PPP is supported for legacy reasons. I am not sure that it will
perpetuate in future architecturessince its usefulness is dubious when new
technologies, such as ROHC, are introduced.

PatC

---

From: cnyap <[email-masked]>
Date: Mon, 4 Dec 2000 05:25:10 -0000

Hi all,

----- Original Message -----
From: "Pat Calhoun" <[email-masked]>
To: <[email-masked]>
Sent: Saturday, December 02, 2000 12:43 AM
Subject: Re: [MOBILE-IP] Pro-active Handoff and FA Location

> technologies, such as ROHC, are introduced.

I am doubtful about PPP not perpetuate in future.
Why RFC 2794 in the first place then?

Chern Nam Yap

---

From: Pat Calhoun <[email-masked]>
Date: Mon, 4 Dec 2000 05:43:08 -0800

> Why RFC 2794 in the first place then?

RFC2794 is not used in CDMA 2000 networks.

If you look at PPP, you have
1. LCP. Nothing is really negotiated during LCP. The only item of possible
value is MTU, and that can be taken care of another method. 2. AUTH.
Authentication phase is bypassed in favor of Mobile IP authentication. 3.
IPCP. IPCP is run to set IP to the open state, but no address is negotiated.
Again, of dubious value 4. CCP. Compression is the only real value in PPP in
these networks. However, with the exception of Microsoft's compression
protocol, they are all history based, and of no use to wireless networks.

So, why bother using PPP, which imposes a 12 message overhead during message
setup, by running 1, 3 and 4 above when a single round trip could be used to
establish some compression parameters?

Why perpetuate the concepts of circuit switched, when the whole purpose of 3G
data is not move away from circuit switched?

PatC